import './types';

/**
 * This exists as a very basic example/test for JSX-to-DOM.
 *
 * The custom babel-plugin-transform-csx-jsx removes the need for this, only use asVNode when using with the default
 * transform-react plugin of babel
 *
 * @param {VNodeType} type
 * @param {VNodeProps} props
 * @param {VNodeChildren} children
 * @return {VNode}
 */
export function asVNode(type, props, ...children) {
    let vnode = {type, props, children};
    return vnode;
}